<template>
  <view>
    <view class="info-header">
			<view>
				<text>我的</text>
				<text><i class=" iconfont icon-shutDown "></i></text>
			</view>
		</view>	
		<view class="info">
      <view class="image-content">
        <image :mode="infoImg.mode" :src="infoImg.src"
          @error="imageError">
        </image>
      </view>
      <view class="image-title">{{infoImg.text}}</view>
			<view class="info_text">小小设计学徒一枚！网址。。。。</view>
			<view class="info_item" v-for="(item,index) in list" :key="index">
				<view>{{item.num}}</view>
				<view>{{item.title}}</view>
			</view>
		</view>		
		<view class="iconCon">
			<view>
				<icon class="iconfont icon-xiezuo icon_comment"></icon>
				<text>文章</text>
			</view>
			<view>
				<icon class="iconfont icon-tupian icon_comment"></icon>
				<text>图片</text>
			</view>
			<view>
				<icon class="iconfont icon-yinyue icon_comment"></icon>
				<text>音乐</text>
			</view>
			<view>
				<icon class="iconfont icon-shipin icon_comment"></icon>
				<text>视频</text>
			</view>
		</view>
		<view class="ui-table">
			<view class="ui-table-cell">
				<text>收藏</text>
				<icon class="iconfont icon-you1"></icon>
			</view>
      <view class="ui-table-cell">
				<text>互动</text>
				<icon class="iconfont icon-you1"></icon>
			</view>
			<view>
				<text>偶遇</text>
				<icon class="iconfont icon-you1"></icon>
			</view>
			<view>
				<text>设置</text>
				<icon class="iconfont icon-you1"></icon>
			</view>
			<view>
				<text>反馈</text>
				<icon class="iconfont icon-you1"></icon>
			</view>
			<view>
				<text>关于</text>
				<icon class="iconfont icon-you1"></icon>
			</view>
		</view>
  </view>
</template>

<script>

  export default {
    components: {
     
    },
    data() {
      return {
        infoImg:{
          mode: 'scaleToFill',
					text: '适应',
					src:'https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg',
					title:'北京运河大森林'
        },
        list:[
          {
            title:"关注",
            num:16
          },
           {
            title:"粉丝",
            num:15
          },
           {
            title:"动态",
            num:18
          }
        ]
      };
    },
    methods: {
     
    }
  }
</script>

<style lang="less">
  .info-header{
		background-color: #ffda19;
		width: 100%;
		overflow: hidden;
    height: 160px;
    view{
      height: 50px;
      line-height: 50px;
      &>text:nth-of-type(1){
        display: inline-block;
        float: left;
        padding-left: 16px;
        font-size: 18px;
        font-weight: bold;
      }
      &>text:nth-of-type(2){
        display: inline-block;
        float: right;
        padding-right: 16px;
        i{
          font-size: 18px;
				  font-weight: bold;
        }
      }
    }
  } 	
  .info{
	  width: calc( 100% - 32px );
		background-color: #FFFFFF;
		margin-left: 16px;
		margin-top: -48px;
		float: left;
	  border-radius: 8px;
    box-shadow: 0 0 6px rgba(255,218,25,0.6);
    .image-content{
      image{
        width: 66px;
        height: 66px;
        border-radius: 66px;
        margin: 0 auto;
        display: block;
        margin-top: -33px;
        border: 1px solid #ffda19;
      }
    }
    .image-title{
      text-align: center;
			font-size: 16px;
			color: #444444;
			height: 30px;
			line-height: 30px;
    }
    .info_text{
			text-align: center;
			height: 30px;
			line-height: 30px;
			font-size: 14px;
			color: #6F6F6F;
    }
    .info_item{
			width: calc( 100% / 3 );
			float: left;
			text-align: center;
      padding: 4px 0;
      &>view:nth-of-type(1){
        	font-size: 12px;
      }
      &>view:nth-of-type(2){
        font-size: 14px;
				color: #6F6F6F;
      }
       &>view:nth-of-type(1){
        	border-radius: 0 0 0 8px;
      }
       &>view:nth-last-of-type(1){
        	border-radius: 0 0 8px 0;
      }
		}
	}
	.iconCon{
		width: 100%;
		float: left;
		overflow: hidden;
		margin-top: 16px;
    padding: 32px 0;
    view{
      float: left;
			width: calc( 100% / 4 );
      text-align: center;
      text{
        display: block;
      }
    }
	}		
	.ui-table{
		float: left;
		width: calc( 100% - 64px );
		background-color: #FFFFFF;
		border-top: 8px solid #EFEFF4;
    padding: 0 32px;
    view{
      height: 50px;
			line-height: 50px;
      border-bottom: 1px solid #EFEFF4;
      text{
        float: left;
      }
      icon{
        float: right;
      }
    }
	}	
	.icon_comment{
		border-radius: 100px;
		font-size: 20px;
		width: 30px;
		height: 30px;
		display: inline-block;
		line-height: 30px;
		color: #FFFFFF;
	}
	.icon-xiezuo{
		background-color: #fbdc58;
	}
	.icon-tupian{
		background-color: #94ede2;
	}
	.icon-yinyue{
		background-color: #bceccd;
	}
	.icon-shipin{
		background-color: #ffbadc;
	}			
</style>
